Subject: Re: Do I have to mount ClearCase's view ?
From: [email-masked] (Alexei Karpov)

21 Oct 1998 19:03:19 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/html; charset=koi8-r
Content-Transfer-Encoding: 7bit
To: Stephen Vance <[email-masked]>
Cc: [email-masked]

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
Hi,
<P>&nbsp;&nbsp;&nbsp; Of course.
<P>-- GNUmakefile file :
<BR>export AR := Y:/aaa
<BR>include $(AR)/Make/cong.make
<P>-- Y:/aaa/Make/conf.make file ( $(AR)/Make/conf.make )
<BR>include $(AR)/Make/init.make
<BR>include $(AR)/Make/pl.make
<BR>.
<BR>.
<BR>.
<BR>MC = $(AR)/Make/Collect
<BR>&nbsp;
<P>&nbsp;&nbsp;&nbsp; Ok, when I use this code I get next error : "missing
separator. Stop."
<BR>This error takes place in line which contains echo command. I know
it is
<BR>correct line and if I delete string MC = $(AR)/Make/Collect this
<BR>error has disappeared, but I need this line because I use the var.
<P>&nbsp;&nbsp;&nbsp; If I assign to AR := //Y/aaa I have next error:
<P>SD := $(AR)/src
<BR>.
<BR>.
<BR>.
<BR>depend :
<BR>&nbsp;&nbsp;&nbsp; echo Something output
<BR>&nbsp;&nbsp;&nbsp; cd $(SD) #-- Here make process has failed.
<P>I get next message :
<BR>cd: lstat /Y failed
<BR>make: *** [depend] Error 1
<BR>&nbsp;
<P>&nbsp;&nbsp;&nbsp; Ok, I try to mount Y: as /y and assign AR := /y/aaa,
<BR>but include commands in /y/aaa/config.make have failed.
<BR>I get : "No such file or directory". But I can see contents of
<BR>included files using cat command :
<BR>( f.e. ) cat /y/aaa/init.make.
<P>Do You Have any ideas ?
<P>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Regards,
<BR>&nbsp;
<P>Stephen Vance wrote:
<BLOCKQUOTE TYPE=CITE>Alexei --
<P>&nbsp;&nbsp;&nbsp; Could you provide some more information, such as
part of your
<BR>makefile?&nbsp; I have been using Cygwin with ClearCase with no problems
for
<BR>some time.&nbsp; Other than some caution relating to ':'s in target
path
<BR>names (I only use relative paths for targets), there has been little
<BR>issue.
<P>Alexei Karpov wrote:
<P>>&nbsp; Hi,
<BR>>
<BR>>&nbsp;&nbsp;&nbsp;&nbsp; I have problem when I use clearcase's view.
<BR>> There are a lot of sources under ClearCase and I must
<BR>> create loadable image using make utility. I have my
<BR>> view and work with it as with disk. I implement next string :
<BR>>
<BR>>&nbsp;&nbsp;&nbsp;&nbsp; A := //Y/aaaa/bbbbb
<BR>>
<BR>> where //Y - my view mapped to disk Y:.
<BR>>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; /aaaa/bbbbb - dir. in the view.
<BR>>
<BR>> When I used this var. in my makefile make did not
<BR>> do cd command. I replaced A to Y:/aaaa/bbbbb last
<BR>> error has disappeared but next command have not
<BR>> worked :
<BR>>
<BR>>&nbsp;&nbsp;&nbsp;&nbsp; include $(A)/sss/ddd
<BR>>
<BR>> I do not know why it takes place. May be I have to mount
<BR>> this view( disk ) using mount command ? May be anybody
<BR>> had similar situation ?
<BR>>
<BR>>&nbsp;&nbsp;&nbsp;&nbsp; Regards,
<BR>>
<BR>> --
<BR>> Alexei Karpov
<BR>> SONY Platform Software Development Center - Belgium ( PSDC- B )
<BR>> Sint Stevens Woluwestraat 55 ( Rue de Woluwe-Saint-Etienne )
<BR>> 1130 Brussel ( Bruxelles ), Belgium, Europe, Earth
<BR>> Tel.&nbsp; : +32 2 724.86.50
<BR>> Fax&nbsp;&nbsp; : +32 2 726.26.86
<BR>> E-mail: [email-masked]
<BR>>
<BR>> " There is no future or freedom in the circumscribed life and
<BR>>&nbsp;&nbsp; the only other life is complete rejection of the rules...
"
<BR>>
<BR>>&nbsp;&nbsp; - For help on using this list (especially unsubscribing),
send a
<BR>> message to "[email-masked]" with one line of text:
<BR>> "help".
<P>--
<BR>Stephen Vance&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
|&nbsp; <A HREF="http://www.deneb.com">http://www.deneb.com</A>
<BR>Deneb Robotics, Inc.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
|&nbsp; <A HREF="mailto:[email-masked]">mailto:[email-masked]</A>
<BR>5500 New King Street&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
|&nbsp; Phone: (248) 267-9696
<BR>Troy, MI 48098-2615&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
|&nbsp; Fax:&nbsp;&nbsp; (248) 267-8585
<P>What is done well is done quickly enough. -Augustus Caesar</BLOCKQUOTE>

<PRE>--&nbsp;
Alexei Karpov
SONY Platform Software Development Center - Belgium ( PSDC- B )
Sint Stevens Woluwestraat 55 ( Rue de Woluwe-Saint-Etienne )
1130 Brussel ( Bruxelles ), Belgium, Europe, Earth
Tel.&nbsp; : +32 2 724.86.50
Fax&nbsp;&nbsp; : +32 2 726.26.86
E-mail: [email-masked]

" There is no future or freedom in the circumscribed life and
&nbsp; the only other life is complete rejection of the rules... "</PRE>
&nbsp;</HTML>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".